<template>
  <div>
    <v-card class>
      <v-app-bar class="mt-5 mb-5" color="cyan" dense dark>
        <span class="headline white--text">จัดการประเภทต้นทุนค่าใช้จ่าย</span>
        <v-spacer></v-spacer>
        <!-- <v-btn @click="searchData">Search</v-btn> -->
        <v-btn dark class="ma-2" @click="toggleExpand" tile outlined>
          <v-icon>mdi-plus</v-icon>เพิ่ม
        </v-btn>
      </v-app-bar>

      <v-list v-for="(item, i) in itemList" :key="i">
        <v-list-item>
          <v-list-item-content>
            <v-tooltip bottom>
              <template v-slot:activator="{ on: tooltip }">
                <v-list-item-title v-on="{ ...tooltip }" v-text="item.name" />
              </template>
              <span>{{ item.detail }}</span>
            </v-tooltip>
          </v-list-item-content>
          <v-list-item-action>
            <v-btn
              class="btnEdit"
              dark
              color="orange darken-2"
              tile
              @click="chooseData(item)"
            >
              <v-icon>mdi-pencil</v-icon>
            </v-btn>
          </v-list-item-action>
          <v-list-item-action>
            <v-btn
              class="btnEdit"
              dark
              color="red darken-2"
              tile
              @click="delData(item)"
            >
              <v-icon>mdi-delete</v-icon>
            </v-btn>
          </v-list-item-action>
        </v-list-item>
        <v-divider></v-divider>
      </v-list>
    </v-card>
  </div>
</template>
<script>
import { mapGetters, mapActions, mapState } from 'vuex'
import Swal from 'sweetalert2'
export default {
  props: ['itemList'],
  data() {
    return {

    }
  },
  computed: {
  },
  methods: {
    toggleExpand() {
      // this.$store.commit('SET_EXPAND', !this.$store.state.expensestype.expand)
      // this.$store.commit('SET_FORM_EXPENSES_TYPE', true)
      this.$store.commit('SET_Expenses_TYPE_EditItem', -1)
      this.$store.commit(
        'SET_FORM_EXPENSES_TYPE',
        !this.$nuxt.$store.state.expensestype.expand
      )
      
    },
    chooseData(val) {
      this.valID = val
      this.editIndex = 1
      this.$store.commit('SET_FORM_EXPENSES_TYPE', true)
      this.$store.commit('SET_Expenses_TYPE_EditItem', 1)
      this.$store.commit('SET_Expenses_TYPE_EditData', val)
    },
    handleCreate() {
      this.findID
    },
    delData(val) {
      Swal.fire({
        title: 'คุณแน่ใจหรือไม่',
        text: 'คุณต้องการลบข้อมูลนี้',
        icon: 'warning',
        showCancelButton: true,
        cancelButtonColor: '#0288D1',
        confirmButtonColor: '#D32F2F',
        cancelButtonText: 'ยกเลิก',
        confirmButtonText: 'ใช่, ลบข้อมูล',
      }).then((result) => {
        if (result.isConfirmed) {
          this.$store.dispatch('delDataExpensesType', val).then(() => {
            Swal.fire('ลบข้อมูล', 'คุณได้ลบข้อมูลเรียบร้อยแล้ว', 'success')
          })
        }
      })
    },
  },
}
</script>
